#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           flatpak-kcm
Version: 5.27.5
Release:        %mkrel %rel
Summary:        Flatpak Permissions Management KCM
License:        GPLv2+ and BSD and CCO
Group:          Graphical desktop/KDE
URL:            https://kde.org/plasma-desktop
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz
# Upstream patch

BuildRequires:  kf5-rpm-macros

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)

BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Svg)

BuildRequires:  pkgconfig(flatpak)


%description
The KCM allows changing what permissions have been granted to
installed Flatpak applications.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*
%{_qt5_plugindir}/plasma/kcms/systemsettings/kcm_flatpak.so
%{_kf5_datadir}/kpackage/kcms/kcm_flatpak
%{_kf5_datadir}/applications/kcm_flatpak.desktop

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install

%find_lang flatpak-kcm --all-name


%changelog
* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958029
- New version 5.27.5

* Tue Apr 11 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1952686
- New version 5.27.4

* Thu Mar 16 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949457
- New version 5.27.3

* Sat Mar 04 2023 daviddavid <daviddavid> 5.27.2.2-1.mga9
+ Revision: 1947157
- New version 5.27.2.2

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945774
- New version 5.27.2

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944786
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942297
- New version 5.27.0

* Wed Jan 25 2023 daviddavid <daviddavid> 5.26.90-1.mga9
+ Revision: 1935973
- initial package flatpak-kcm (says hello flatpak-kcm to the plasma stack)

